#FUNCTION CREATED BY MR_MOOSE#

#GAMERULES#
gamerule doTileDrops false
gamerule doDaylightCycle false
gamerule doWeatherCycle false
gamerule keepInventory true
gamerule announceAdvancements false
gamerule commandBlockOutput false
gamerule doFireTick false
gamerule doMobSpawning false
gamerule mobGriefing false
gamerule fallDamage false
gamerule fireDamage false
gamerule drowningDamage false
gamerule doImmediateRespawn true

#GAMEMODE#
gamemode adventure @a[gamemode=survival,tag=!admin]
title @a[gamemode=creative,tag=!admin,tag=!gmstop] actionbar {"text":"Do not cheat!","color":"red","bold":true,"underlined":true}
title @a[gamemode=spectator,tag=!admin,tag=!gmstop] actionbar {"text":"Do not cheat!","color":"red","bold":true,"underlined":true}

#EFFECTS#
effect give @a saturation 99999 100 true
effect give @a night_vision 99999 100 true
effect give @a resistance 99999 100 true
execute as @a at @s unless block ~ ~-1 ~ slime_block run effect clear @s jump_boost

#TIMER#
scoreboard objectives add ticks dummy
scoreboard objectives add sec dummy
scoreboard objectives add s0t6 dummy
scoreboard objectives add s0t9 dummy
scoreboard objectives add min dummy
tag @a[tag=start] add timeStart
tag @a[tag=win] remove timeStart
scoreboard players add @a[tag=timestart] ticks 1
scoreboard players add @a[scores={ticks=20}] sec 1
scoreboard players set @a[scores={ticks=20}] ticks 0
scoreboard players set @a[scores={sec=0..9}] s0t6 0
scoreboard players set @a[scores={sec=10..19}] s0t6 1
scoreboard players set @a[scores={sec=20..29}] s0t6 2
scoreboard players set @a[scores={sec=30..39}] s0t6 3
scoreboard players set @a[scores={sec=40..49}] s0t6 4
scoreboard players set @a[scores={sec=50..59}] s0t6 5
scoreboard players set @a[scores={sec=0}] s0t9 0
scoreboard players set @a[scores={sec=1}] s0t9 1
scoreboard players set @a[scores={sec=2}] s0t9 2
scoreboard players set @a[scores={sec=3}] s0t9 3
scoreboard players set @a[scores={sec=4}] s0t9 4
scoreboard players set @a[scores={sec=5}] s0t9 5
scoreboard players set @a[scores={sec=6}] s0t9 6
scoreboard players set @a[scores={sec=7}] s0t9 7
scoreboard players set @a[scores={sec=8}] s0t9 8
scoreboard players set @a[scores={sec=9}] s0t9 9
scoreboard players set @a[scores={sec=10}] s0t9 0
scoreboard players set @a[scores={sec=11}] s0t9 1
scoreboard players set @a[scores={sec=12}] s0t9 2
scoreboard players set @a[scores={sec=13}] s0t9 3
scoreboard players set @a[scores={sec=14}] s0t9 4
scoreboard players set @a[scores={sec=15}] s0t9 5
scoreboard players set @a[scores={sec=16}] s0t9 6
scoreboard players set @a[scores={sec=17}] s0t9 7
scoreboard players set @a[scores={sec=18}] s0t9 8
scoreboard players set @a[scores={sec=19}] s0t9 9
scoreboard players set @a[scores={sec=20}] s0t9 0
scoreboard players set @a[scores={sec=21}] s0t9 1
scoreboard players set @a[scores={sec=22}] s0t9 2
scoreboard players set @a[scores={sec=23}] s0t9 3
scoreboard players set @a[scores={sec=24}] s0t9 4
scoreboard players set @a[scores={sec=25}] s0t9 5
scoreboard players set @a[scores={sec=26}] s0t9 6
scoreboard players set @a[scores={sec=27}] s0t9 7
scoreboard players set @a[scores={sec=28}] s0t9 8
scoreboard players set @a[scores={sec=29}] s0t9 9
scoreboard players set @a[scores={sec=30}] s0t9 0
scoreboard players set @a[scores={sec=31}] s0t9 1
scoreboard players set @a[scores={sec=32}] s0t9 2
scoreboard players set @a[scores={sec=33}] s0t9 3
scoreboard players set @a[scores={sec=34}] s0t9 4
scoreboard players set @a[scores={sec=35}] s0t9 5
scoreboard players set @a[scores={sec=36}] s0t9 6
scoreboard players set @a[scores={sec=37}] s0t9 7
scoreboard players set @a[scores={sec=38}] s0t9 8
scoreboard players set @a[scores={sec=39}] s0t9 9
scoreboard players set @a[scores={sec=40}] s0t9 0
scoreboard players set @a[scores={sec=41}] s0t9 1
scoreboard players set @a[scores={sec=42}] s0t9 2
scoreboard players set @a[scores={sec=43}] s0t9 3
scoreboard players set @a[scores={sec=44}] s0t9 4
scoreboard players set @a[scores={sec=45}] s0t9 5
scoreboard players set @a[scores={sec=46}] s0t9 6
scoreboard players set @a[scores={sec=47}] s0t9 7
scoreboard players set @a[scores={sec=48}] s0t9 8
scoreboard players set @a[scores={sec=49}] s0t9 9
scoreboard players set @a[scores={sec=50}] s0t9 0
scoreboard players set @a[scores={sec=51}] s0t9 1
scoreboard players set @a[scores={sec=52}] s0t9 2
scoreboard players set @a[scores={sec=53}] s0t9 3
scoreboard players set @a[scores={sec=54}] s0t9 4
scoreboard players set @a[scores={sec=55}] s0t9 5
scoreboard players set @a[scores={sec=56}] s0t9 6
scoreboard players set @a[scores={sec=57}] s0t9 7
scoreboard players set @a[scores={sec=58}] s0t9 8
scoreboard players set @a[scores={sec=59}] s0t9 9
scoreboard players add @a[scores={sec=60}] min 1
scoreboard players set @a[scores={sec=60}] sec 0
execute if entity @a[scores={color=0},gamemode=adventure] as @a run title @s actionbar [{"text":"Time: ","color":"dark_red","bold":true},{"score":{"name":"@s","objective":"min"},"color":"red","bold":true},{"text":":","color":"red","bold":true},{"score":{"name":"@s","objective":"s0t6"},"color":"red","bold":true},{"score":{"name":"@s","objective":"s0t9"},"color":"red","bold":true}]
execute if entity @a[scores={color=0},tag=gmstop] as @a run title @s actionbar [{"text":"Time: ","color":"dark_red","bold":true},{"score":{"name":"@s","objective":"min"},"color":"red","bold":true},{"text":":","color":"red","bold":true},{"score":{"name":"@s","objective":"s0t6"},"color":"red","bold":true},{"score":{"name":"@s","objective":"s0t9"},"color":"red","bold":true}]
execute if entity @a[scores={color=1},gamemode=adventure] as @a run title @s actionbar [{"text":"Time: ","color":"green","bold":true},{"score":{"name":"@s","objective":"min"},"color":"dark_green","bold":true},{"text":":","color":"dark_green","bold":true},{"score":{"name":"@s","objective":"s0t6"},"color":"dark_green","bold":true},{"score":{"name":"@s","objective":"s0t9"},"color":"dark_green","bold":true}]
execute if entity @a[scores={color=2},gamemode=adventure] as @a run title @s actionbar [{"text":"Time: ","color":"dark_blue","bold":true},{"score":{"name":"@s","objective":"min"},"color":"blue","bold":true},{"text":":","color":"blue","bold":true},{"score":{"name":"@s","objective":"s0t6"},"color":"blue","bold":true},{"score":{"name":"@s","objective":"s0t9"},"color":"blue","bold":true}]
execute if entity @a[scores={color=3},gamemode=adventure] as @a run title @s actionbar [{"text":"Time: ","color":"gold","bold":true},{"score":{"name":"@s","objective":"min"},"color":"yellow","bold":true},{"text":":","color":"yellow","bold":true},{"score":{"name":"@s","objective":"s0t6"},"color":"yellow","bold":true},{"score":{"name":"@s","objective":"s0t9"},"color":"yellow","bold":true}]
execute if entity @a[scores={color=4}] as @a run title @s actionbar [{"text":"Time: ","color":"dark_red","bold":true},{"score":{"name":"@s","objective":"min"},"color":"red","bold":true},{"text":":","color":"red","bold":true},{"score":{"name":"@s","objective":"s0t6"},"color":"red","bold":true},{"score":{"name":"@s","objective":"s0t9"},"color":"red","bold":true}]

#BUGS#
scoreboard objectives add bug trigger
scoreboard players enable @a bug
tellraw @a[scores={bug=1..}] {"text":"If you found a bug, click this message to submit it. Thank you.","color":"dark_aqua","bold":true,"clickEvent":{"action":"open_url","value":"https://mr-moose-minecraft.weebly.com/bug-tracker.html"}}
scoreboard players set @a[scores={bug=1..}] bug 0
setblock 11 5 23 air
setblock 11 5 23 jungle_wall_sign[facing=north]{Text2:'{"text":"Thank you","bold":true}',Text3:'[{"selector":"@p","bold":false},{"text":"."}]'}

#OTHER#
spawnpoint @a 8 14 8
gamerule spawnRadius 1
execute as @a[tag=!admin] at @s if block ~ ~-1 ~ black_terracotta run kill @s
data merge entity @e[tag=frame,limit=1] {ItemRotation:0b}
xp set @a 0 points
execute as @a[tag=!admin,tag=!lavaimmune] at @s if block ~ ~ ~ lava run kill @s
tag @a[scores={border=16..}] remove lavaimmune